%define oname   itextomml

Name:       ruby-%{oname}
Version:    1.6.1
Release:    %mkrel 3
Summary:    Native Ruby bindings to itex2MML
Group:      Development/Ruby
License:    GPLv2 or MPL
URL:        https://golem.ph.utexas.edu/~distler/blog/itex2MML.html
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
itextomml provides native Ruby bindings to itex2MML, which converts itex
equations to MathML.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Feb 02 2025 pterjan <pterjan> 1.6.1-3.mga10
+ Revision: 2144445
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 1.6.1-2.mga10
+ Revision: 2121558
- Rebuild for Ruby 3.3

* Tue May 03 2022 pterjan <pterjan> 1.6.1-1.mga9
+ Revision: 1855723
- Update to 1.6.1

* Fri Mar 25 2022 umeabot <umeabot> 1.6.0-3.mga9
+ Revision: 1827129
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.6.0-2.mga9
+ Revision: 1784591
- Rebuild for Ruby 3.1

* Sat Mar 28 2020 pterjan <pterjan> 1.6.0-1.mga8
+ Revision: 1561788
- Update to 1.6.0

* Mon Mar 02 2020 pterjan <pterjan> 1.5.8-3.mga8
+ Revision: 1553161
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.5.8-2.mga8
+ Revision: 1520114
- Mageia 8 Mass Rebuild

* Sun Nov 04 2018 pterjan <pterjan> 1.5.8-1.mga7
+ Revision: 1328178
- Update to 1.5.8

* Sun Sep 23 2018 umeabot <umeabot> 1.5.7-2.mga7
+ Revision: 1300883
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 pterjan <pterjan> 1.5.7-1.mga7
+ Revision: 1239978
- Update to 1.5.7

* Mon Jan 01 2018 pterjan <pterjan> 1.5.6-2.mga7
+ Revision: 1188672
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 1.5.6-1.mga7
+ Revision: 1141814
- Update to 1.5.6

* Tue Aug 15 2017 pterjan <pterjan> 1.5.2-2.mga7
+ Revision: 1140838
- Rebuild for new Ruby

* Mon Jan 04 2016 pterjan <pterjan> 1.5.2-1.mga6
+ Revision: 919681
- Update to 1.5.2

* Wed Dec 02 2015 spuhler <spuhler> 1.4.10-12.mga6
+ Revision: 907676
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 1.4.10-11.mga5
+ Revision: 741122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.10-10.mga5
+ Revision: 688842
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.4.10-9.mga4
+ Revision: 561987
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.4.10-8.mga4
+ Revision: 561350
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1.4.10-7.mga4
+ Revision: 560021
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.4.10-6.mga4
+ Revision: 535570
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.4.10-5.mga4
+ Revision: 482119
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.4.10-4.mga4
+ Revision: 479940
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.4.10-3.mga3
+ Revision: 396092
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.10-2.mga3
+ Revision: 381056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.10-1.mga3
+ Revision: 313070
- new version 1.4.10

* Sat Feb 12 2011 shikamaru <shikamaru> 1.4.5-1.mga1
+ Revision: 50807
- imported package ruby-itextomml

